<?php require_once('Connections/conn.php'); ?>
<?php session_start();
//Impide que la p�gina sea vista desde el navegador.
	if (!isset($_SESSION['MM_Username'])) {
      	header ("Location: modulos/inicio/index.php");
	  }
		$id_alumno=$_GET['id_alumno'];
		$id_carrera=$_GET['id_carrera'];
		$id_sede=$_GET['id_sede'];
		$id_constancia=$_GET['id_constancia'];
		
	/*	echo 'ID ALUMNO: '.$id_alumno.'<br>';
		echo 'ID CARRERA: '.$id_carrera.'<br>';
		echo 'ID SEDE: '.$id_sede.'<br>';
		echo 'ID CONSTANCIA: '.$id_constancia.'<br>'; */

		
		// Incluimos la solicitud
		  $fecha1 = explode("-",date("Y-m-d")); 
		  $fecha2 = $fecha1[0].$fecha1[1].$fecha1[2]; 
		  $fecha_hoy = cambioFecha($fecha2);  
		  $fecha_registro=join ("-",(array_reverse(split("-",$fecha_hoy)))); 
		  
		  $estatus="N";
			  
	  mysql_select_db($database_conn, $conn);
  // Datos del alumno que hace la solicitud de la constancia.
	$sql = "SELECT id_alumno,cedula,apellidos, nombres, tipo_doc FROM alumnos WHERE id_alumno='$id_alumno'";
	$rs = mysql_query($sql, $conn) or die(mysql_error());
	$row = mysql_fetch_assoc($rs);
	$id_alumno= $row['id_alumno'];
	$cedula= $row['cedula'];
	$nombre_alumno= $row['apellidos'].' '.$nombres= $row['nombres'];
  
    $sql = "SELECT id_periodo FROM historial_alumnos WHERE id_alumno='$id_alumno' and status='A'";
	$rs = mysql_query($sql, $conn);
	$rows = mysql_num_rows($rs);
	if($rows==0) {
	   ?> 
      <script type="text/javascript">
	    msj="Solicitud no procesada\nUsted no está inscrito en el lapso actual."
	 	alert(msj);
	 </script>
	 <?php
	return;
	} 
	else {
	    $row = mysql_fetch_assoc($rs);
	    $id_periodo=$row["id_periodo"];
    }
  
	$query_rstConstancias1 = "SELECT constancia,arancel FROM menu_constancia WHERE id='$id_constancia'";
	$rstConstancias1 = mysql_query($query_rstConstancias1, $conn) or die(mysql_error());
	$row_rstConstancias1 = mysql_fetch_assoc($rstConstancias1);
	$totalRows_rstConstancias1 = mysql_num_rows($rstConstancias1);
	$nconstancia=$row_rstConstancias1['constancia'];
	$arancel=$row_rstConstancias1['arancel'];
	$arancel=number_format($arancel,2,",",".");

  $sql = "insert into `constancias` (`id_alumno`, `nombre_alumno`, `tipo_constancia`, `nconstancia`,`id_carrera`, `id_sede`, `fecha_solicitud`, `estatus`, `periodo`) values ('$id_alumno', '$nombre_alumno', '$id_constancia', '$nconstancia', '$id_carrera', '$id_sede', '$fecha_registro', '$estatus','$id_periodo')";
  mysql_query($sql, $conn) or die(mysql_error());
  
	//}
	 ?>
	 <script type="text/javascript">
	    msj="Solicitud fue enviada exitosamente.\nRecuerde que para retirar la constancia debe presentar en taquilla el comprobante de pago del arancel por Bs. <?php echo $arancel ?>.";
	 	alert(msj);
	 </script>
	 <?php
	 
	 
	 function cambioFecha($fecha){ //$fecha es de este formato --> ej: 20081229 
	$tieneCeroDiaMes = substr($fecha,6,1); 
	if ($tieneCeroDiaMes == 0) { 
		$diaMes = substr($fecha,7,1); 
	} else { 
		$diaMes = substr($fecha,6,2); 
	} 
	
	$Mes = substr($fecha,4,2); 
	
	
	$Anio = substr($fecha,0,4); 
	return $diaMes."-".$Mes."-".$Anio.""; 
	}     
 ?>
	 


